import javax.swing.*;

public class H7_Oef1
{	final static int dagenInMaand[] = {0,31,28,31,30,31,30,31,31,30,31,30,31};
	
	public static void main (String args[])
	{
		int huidigeDatum;
		int verjaardag[] = new int [5];
		
		huidigeDatum = leesDatum();
		leesVerjaardagen(verjaardag);
		drukVerjaardagen(verjaardag);
		
		System.out.println(""+huidigeDatum);
		
		System.exit(0);
	}
	
	public static int leesDatum()
	{ 	int datum;
		int dag, maand;
		boolean geldigeDatum;
		
		do
		{
			datum = Integer.parseInt(JOptionPane.showInputDialog("Geef de huidige datum:"));
			geldigeDatum = true;
			
			dag = datum/100;
			maand=datum%100;
			
			if (datum<101||datum>3112)
				geldigeDatum = false;
			
			if (maand<1||maand>12)
				geldigeDatum = false;
			else
				if (dag<1||dag>dagenInMaand[maand])
					geldigeDatum = false;
			
		} while (!geldigeDatum);
		
		return datum;
	}
	
	public static void leesVerjaardagen(int array[])
	{
		int datum, dag, maand;
		boolean geldigeDatum;
		for (int i=0; i<array.length;i++)
		{
			do 
			{
			//lees een verjaardag in en controleer op geldigheid
			datum = Integer.parseInt(JOptionPane.showInputDialog("Geef de: " + (i+1) + "De variabele"));
			dag = datum/100;
			geldigeDatum = true;
			maand=datum%100;
			
				if (datum<101||datum>3112)
					geldigeDatum = false;
				
				if (maand<1||maand>12)
					geldigeDatum = false;
				else
					if (dag<1||dag>dagenInMaand[maand])
						geldigeDatum = false;
				
			} while (!geldigeDatum);
				
		}
	}
	
	public static void drukVerjaardagen(int array[])
	{
		
		
	}
}
